%bcond_with bootstrap

Name:           jakarta-activation
Version:        2.1.3
Release:        %mkrel 2
Group:          Development/Java
Summary:        Jakarta Activation API
# the whole project is licensed under (EPL-2.0 or BSD)
# the source code additionally can be licensed under GPLv2 with exceptions
# we only ship built source code
License:        EPL-2.0 OR BSD-3-Clause OR GPL-2.0-only WITH Classpath-exception-2.0
URL:            https://jakartaee.github.io/jaf-api/
BuildArch:      noarch
#%%if 0%%{?java_arches:1}
#ExclusiveArch:  %%{java_arches} noarch
#%%endif

Source0:        https://github.com/eclipse-ee4j/jaf/archive/%{version}/jaf-%{version}.tar.gz

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
%endif

%description
Jakarta Activation lets you take advantage of standard services to:
determine the type of an arbitrary piece of data; encapsulate access to
it; discover the operations available on it; and instantiate the
appropriate bean to perform the operation(s).

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jaf-api-%{version}

pushd api
%pom_remove_parent

# remove custom doclet configuration
%pom_remove_plugin :maven-javadoc-plugin

%pom_remove_plugin -r :buildnumber-maven-plugin
%pom_remove_plugin -r :maven-enforcer-plugin
popd

%build
pushd api
%mvn_build
popd

%install
pushd api
%mvn_install
popd

%files -f api/.mfiles
%doc README.md
%license LICENSE.md NOTICE.md

%files javadoc -f api/.mfiles-javadoc
%license LICENSE.md NOTICE.md


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.1.3-2.mga10
+ Revision: 2224453
- Mageia 10 Mass Rebuild

* Thu Jun 20 2024 daviddavid <daviddavid> 2.1.3-1.mga10
+ Revision: 2075807
- Update to upstream version 2.1.3

* Fri May 24 2024 ns80 <ns80> 2.1.2-2.mga10
+ Revision: 2066939
- rebuild for java 21

* Thu Sep 14 2023 daviddavid <daviddavid> 2.1.2-1.mga10
+ Revision: 1986445
- Update to upstream version 2.1.2
- Convert License tag to SPDX format

* Mon Jul 25 2022 neoclust <neoclust> 1.2.2-7.mga9
+ Revision: 1871531
- Rebuild against java 17
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Sep 02 2020 daviddavid <daviddavid> 1.2.2-1.mga8
+ Revision: 1620890
- Update to version 1.2.2
- Drop custom maven-compiler-plugin overrides in favor of upstream settings
- Override javac source / target versions with 1.8 to fix build with Java 11
- Package unretired and renamed from jaf
- rename pkg from jaf to jakarta-activation

* Mon Feb 17 2020 umeabot <umeabot> 1.2.1-2.mga8
+ Revision: 1537389
- Mageia 8 Mass Rebuild

* Thu Oct 31 2019 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1456984
- mageiaify
- imported package jaf

